{% extends 'template.html' %}
{% block extracss %}
    <!-- Datatables -->
    <link href="/static/css/dataTables.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/buttons.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/fixedHeader.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/responsive.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/scroller.bootstrap.min.css" rel="stylesheet">
    {% block extrahead_list %}

    {% endblock %}
{% endblock %}
{% block cuerpo %}  
{% load math_filter %}
<script>
       function generar_reporte(xmes, xpersonal_id, xanio, xproyecto_id)
       {
           let arr = ['ENERO', 'FEBRERO', 'MARZO', 'ABRIL', 'MAYO', 'JUNIO', 'JULIO', 'AGOSTO', 'SEPTIEMBRE', 'OCTUBRE', 'NOVIEMBRE', 'DICIEMBRE'];
           xmes_str = arr[xmes - 1];
           xmess = xmes.toString();
           if (xmess.length==1){
               xmess = '0'+xmess;
           }
           
           window.location.href = "/auditor/reporte_mensual?xparametro1=" + xmess + "&xparametro2=" + xmes_str + "&xparametro3=" + xpersonal_id + "&xparametro4=" + xanio+'&xparametro5='+xproyecto_id;
       }
</script>
<strong> <h3>GENERAR REPORTE MENSUAL</h2></strong> 
<div class="x_panel">
    <div class="x_title">
          <ul class="nav navbar-right panel_toolbox">
             <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
             </li>
             <li class="dropdown">
                 <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
                    <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                      <a class="dropdown-item" href="#">Settings 1</a>
                      <a class="dropdown-item" href="#">Settings 2</a>
                    </div>
             </li>
             <li><a class="close-link"><i class="fa fa-close"></i></a></li>
           </ul>
           <div class="clearfix"></div>
    </div>
 <div class="x_content">
        <table id="datatable-responsive"
        class="table table-striped table-bordered dt-responsive nowrap"
        cellspacing="0" width="100%">
            <thead>
               <tr>
                  <td><strong>AUDITOR</strong></td>            
                  <td><strong>NOMBRE COMPLETO</strong></td>
                  <td><strong>PROYECTO</strong></td>            
                  <td><strong>Accion</strong></td>            
                </tr>   
             </thead>
            <tbody>
              {% for responsableproyecto in object_list %}               
                 <tr>
                    <td>{{ responsableproyecto.personal.tipoauditor }} </td>
                    <td>{{ responsableproyecto.personal.nombre }}  {{ responsableproyecto.personal.a_paterno }} {{ responsableproyecto.personal.a_materno }}</td>
                    <td>{{ responsableproyecto.proyecto.nombre_proyecto }}</td>
                    <td><a href="#" data-toggle="modal" data-target=".bs-example-modal-lg" onclick="document.formpropiedades.personal_id.value='{{ responsableproyecto.personal.id }}';document.formpropiedades.proyecto_id.value='{{ responsableproyecto.proyecto.id }}';" class="btn btn-primary btn-xs"><i class="fa fa-print"></i></a></td>
                 </tr>
              {% endfor %}
            </tbody>    
        </table>
    </div>
</div>
<div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" style="display: none;" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
          <div class="modal-header">
            <h4 class="modal-title" id="myModalLabel">GENERANDO EL REPORTE MENSUAL DEL AUDITOR</h4>
            <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
            <form name="formpropiedades" id="formpropiedades">
                <input type="hidden" id="personal_id" name="personal_id" class="form-control">
                <input type="hidden" id="proyecto_id" name="proyecto_id" class="form-control">
                <div class="col-md-12 col-sm-12 col-xs-12 form-group has-feedback">
                    <label class="control-label">Mes</label>
                    <select id="mes" name="mes" class="form-control">
                        <option value="1">ENERO</option>
                        <option value="2">FEBRERO</option>
                        <option value="3">MARZO</option>
                        <option value="4">ABRIL</option>
                        <option value="5">MAYO</option>
                        <option value="6">JUNIO</option>
                        <option value="7">JULIO</option>
                        <option value="8">AGOSTO</option>
                        <option value="9">SEPTIEMBRE</option>
                        <option value="10">OCTUBRE</option>
                        <option value="11">NOVIEMBRE</option>
                        <option value="12">DICIEMBRE</option>
                    </select>
                    <span class="fa fa-user form-control-feedback rigth" aria-hidden="true"></span>
                 </div>  
                 <div class="col-md-12 col-sm-12 col-xs-12 form-group has-feedback">
                    <label class="control-label">Mes</label>
                    <input type="text" id="anio" id="anio" value="2020" class="form-control">
                    <span class="fa fa-user form-control-feedback rigth" aria-hidden="true"></span>
                 </div>               
            </form>             
          </div>
          <div class="modal-footer">
            <a href="#" onclick="generar_reporte(document.formpropiedades.mes.value, document.formpropiedades.personal_id.value, document.formpropiedades.anio.value, document.formpropiedades.proyecto_id.value);" class="btn btn-primary btn-xs"><i class="fa fa-print"></i>GENERAR REPORTE</a>
          </div>
        </div>
      </div>
    </div>  
{% endblock %}
{% block extrajs %}
    <!-- Datatables -->
    <script src="/static/js/jquery.dataTables.min.js"></script>
    <script src="/static/js/dataTables.bootstrap.min.js"></script>
    <script src="/static/js/dataTables.buttons.min.js"></script>
    <script src="/static/js/buttons.bootstrap.min.js"></script>
    <script src="/static/js/buttons.flash.min.js"></script>
    <script src="/static/js/buttons.html5.min.js"></script>
    <script src="/static/js/buttons.print.min.js"></script>
    <script src="/static/js/dataTables.fixedHeader.min.js"></script>
    <script src="/static/js/dataTables.keyTable.min.js"></script>
    <script src="/static/js/dataTables.responsive.min.js"></script>
    <script src="/static/js/responsive.bootstrap.js"></script>
    <script src="/static/js/dataTables.scroller.min.js"></script>
    <script src="/static/js/jszip.min.js"></script>
    <script src="/static/js/pdfmake.min.js"></script>
    <script src="/static/js/vfs_fonts.js"></script>
    <script>
        $(function () {
            $('#datatable-responsive').DataTable({
                "destroy": true,
                "scrollY": true,
                "language": {
                    "sSearch": "Buscar",
                    "oPaginate": {
                      "sFirst": "Primero",
                      "sLast": "Último",
                      "sNext": "Siguiente",
                      "sPrevious": "Anterior"
                    },
                    "lengthMenu": "Mostrar _MENU_ registros",
                    "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                }
            });
         });
    </script>  
{% endblock %}